[Python-apps-commits] r4080 - in packages/pyaimt/trunk/debian (changelog init.d pyaimt.init)

nijel at users.alioth.debian.org nijel at users.alioth.debian.org
Tue Nov 3 11:35:43 UTC 2009


    Date: Tuesday, November 3, 2009 @ 11:35:42
  Author: nijel
Revision: 4080

Fix naming of init script in source package.

Added:
  packages/pyaimt/trunk/debian/pyaimt.init
    (from rev 4079, packages/pyaimt/trunk/debian/init.d)
Modified:
  packages/pyaimt/trunk/debian/changelog
Deleted:
  packages/pyaimt/trunk/debian/init.d

Modified: packages/pyaimt/trunk/debian/changelog
===================================================================
--- packages/pyaimt/trunk/debian/changelog	2009-11-03 11:34:28 UTC (rev 4079)
+++ packages/pyaimt/trunk/debian/changelog	2009-11-03 11:35:42 UTC (rev 4080)
@@ -2,8 +2,9 @@
 
   * NOT RELEASED YET
   * Adjust provided service name in init script.
+  * Fix naming of init script in source package.
 
- -- Michal ÄŒihaÅ™ <nijel at debian.org>  Tue, 03 Nov 2009 12:33:29 +0100
+ -- Michal ÄŒihaÅ™ <nijel at debian.org>  Tue, 03 Nov 2009 12:35:27 +0100
 
 pyaimt (0.8.0.1-1) unstable; urgency=low
 

Deleted: packages/pyaimt/trunk/debian/init.d
===================================================================
--- packages/pyaimt/trunk/debian/init.d	2009-11-03 11:34:28 UTC (rev 4079)
+++ packages/pyaimt/trunk/debian/init.d	2009-11-03 11:35:42 UTC (rev 4080)
@@ -1,68 +0,0 @@
-#! /bin/bash
-### BEGIN INIT INFO
-# Provides:          pyaimt
-# Required-Start:    $syslog
-# Required-Stop:     $syslog
-# Should-Start:      $local_fs
-# Should-Stop:       $local_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: starts AIM transport for Jabber
-# Description:       starts PyAIMt which provides a gateway that allows Jabber users to communicate with their
-#                    contacts on the AIM Messenger network. It can connect to any Jabber server
-#                    that supports the Connect component mechanism.  
-### END INIT INFO
-
-export PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-. /lib/lsb/init-functions
-
-NAME=pyaimt
-DESC="AIM transport for Jabber"
-
-PIDDIR=/var/run/pyaimt
-PIDFILE=$PIDDIR/$NAME.pid
-USER=pyaimt
-GROUP=pyaimt
-
-SSD_OPTS="--pidfile=$PIDFILE --name=python --user=$USER"
-
-DAEMON=/usr/bin/python
-OPTIONS="/usr/share/pyaimt/PyAIMt.py --config=/etc/pyaimt.conf.xml --background -o pid=$PIDFILE -o spooldir=/var/lib/pyaimt -d --log=/var/log/pyaimt/pyaimt.log"
-
-test -f $DAEMON || exit 0
-
-if test ! -e $PIDDIR; then
-	mkdir $PIDDIR
-	chown $USER:$GROUP $PIDDIR
-fi
-
-case "$1" in
-start)
-	log_daemon_msg "Starting $DESC" "$NAME"
-	start-stop-daemon --start $SSD_OPTS --startas "$DAEMON" --chuid "$USER" -- $OPTIONS
-	log_end_msg $?
-	;;
-stop)
-	log_daemon_msg "Stopping $DESC" "$NAME"
-	start-stop-daemon --stop $SSD_OPTS --retry 10
-	log_end_msg $?
-	;;
-reload|force-reload)
-	log_daemon_msg "Reloading $DESC" "$NAME"
-	start-stop-daemon --stop $SSD_OPTS --signal HUP
-	log_end_msg $?
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-*)
-	echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|force-reload}" >&2
-	exit 1
-	;;
-esac
-
-exit 0
-
-# vim: filetype=sh

Copied: packages/pyaimt/trunk/debian/pyaimt.init (from rev 4079, packages/pyaimt/trunk/debian/init.d)
===================================================================
--- packages/pyaimt/trunk/debian/pyaimt.init	                        (rev 0)
+++ packages/pyaimt/trunk/debian/pyaimt.init	2009-11-03 11:35:42 UTC (rev 4080)
@@ -0,0 +1,68 @@
+#! /bin/bash
+### BEGIN INIT INFO
+# Provides:          pyaimt
+# Required-Start:    $syslog
+# Required-Stop:     $syslog
+# Should-Start:      $local_fs
+# Should-Stop:       $local_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: starts AIM transport for Jabber
+# Description:       starts PyAIMt which provides a gateway that allows Jabber users to communicate with their
+#                    contacts on the AIM Messenger network. It can connect to any Jabber server
+#                    that supports the Connect component mechanism.  
+### END INIT INFO
+
+export PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+. /lib/lsb/init-functions
+
+NAME=pyaimt
+DESC="AIM transport for Jabber"
+
+PIDDIR=/var/run/pyaimt
+PIDFILE=$PIDDIR/$NAME.pid
+USER=pyaimt
+GROUP=pyaimt
+
+SSD_OPTS="--pidfile=$PIDFILE --name=python --user=$USER"
+
+DAEMON=/usr/bin/python
+OPTIONS="/usr/share/pyaimt/PyAIMt.py --config=/etc/pyaimt.conf.xml --background -o pid=$PIDFILE -o spooldir=/var/lib/pyaimt -d --log=/var/log/pyaimt/pyaimt.log"
+
+test -f $DAEMON || exit 0
+
+if test ! -e $PIDDIR; then
+	mkdir $PIDDIR
+	chown $USER:$GROUP $PIDDIR
+fi
+
+case "$1" in
+start)
+	log_daemon_msg "Starting $DESC" "$NAME"
+	start-stop-daemon --start $SSD_OPTS --startas "$DAEMON" --chuid "$USER" -- $OPTIONS
+	log_end_msg $?
+	;;
+stop)
+	log_daemon_msg "Stopping $DESC" "$NAME"
+	start-stop-daemon --stop $SSD_OPTS --retry 10
+	log_end_msg $?
+	;;
+reload|force-reload)
+	log_daemon_msg "Reloading $DESC" "$NAME"
+	start-stop-daemon --stop $SSD_OPTS --signal HUP
+	log_end_msg $?
+	;;
+restart)
+	$0 stop
+	$0 start
+	;;
+*)
+	echo "Usage: /etc/init.d/$NAME {start|stop|restart|reload|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
+
+# vim: filetype=sh




More information about the Python-apps-commits mailing list